# std::valarray::resize

From cppreference.com
< cpp‎ | numeric‎ | valarray

void resize( std::size_t count, T value = T() ); |  |

Resizes the valarray to contain `count` elements and assigns `value` to each element.

This functions invalidates all pointers and references to elements in the array.

### Parameters

count | - | new size of the container
value | - | the value to initialize the new elements with

### Return value

(none)

### Example

Run this code

    #include <valarray>
    #include <iostream>
    int main()
    {
        std::valarray<int> v{1,2,3};
        v.resize(10);
        for(int n: v) std::cout << n << ' ';
        std::cout << '\n';
    }

Output:

    0 0 0 0 0 0 0 0 0 0

### See also

size | returns the size of valarray (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/valarray/resize&oldid=66620"